Update Data Flow
Update an existing data flow, identified by its ID.
Permissions
api.data-catalog-entries.write
curl --request PUT \
--url https://{tenant}.mindbridge.ai/api/v1/data-flows/{dataFlowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"name": "<string>",
"inputDataCatalogEntryId": "<string>",
"operations": [
{
"type": "REMAP",
"remapOperations": [
{
"source": "<string>",
"destination": "<string>"
}
]
}
],
"description": "<string>"
}
'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/data-flows/{dataFlowId}"
payload = {
"version": 123,
"name": "<string>",
"inputDataCatalogEntryId": "<string>",
"operations": [
{
"type": "REMAP",
"remapOperations": [
{
"source": "<string>",
"destination": "<string>"
}
]
}
],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
name: '<string>',
inputDataCatalogEntryId: '<string>',
operations: [
{
type: 'REMAP',
remapOperations: [{source: '<string>', destination: '<string>'}]
}
],
description: '<string>'
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/data-flows/{dataFlowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"name": "<string>",
"description": "<string>",
"inputDataCatalogEntryId": "<string>",
"operations": [
{
"type": "REMAP",
"remapOperations": [
{
"source": "<string>",
"destination": "<string>"
}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Data integrity version to ensure data consistency.
The name of this data flow.
1The ID of the data catalog entry this flow pulls data from.
The operations to perform on the provided data.
1Show child attributes
Show child attributes
A description of the data flow.
Response
OK
The unique object identifier.
Data integrity version to ensure data consistency.
The date that the object was originally created.
The date that the object was last updated or modified.
Details about the user who created the object.
Show child attributes
Show child attributes
Details about the user who last modified or updated the object.
Show child attributes
Show child attributes
The name of this data flow.
A description of the data flow.
The ID of the data catalog entry this flow pulls data from.
The operations to perform on the provided data.
Show child attributes
Show child attributes
Was this page helpful?

